ata_do_set_mode
Prev | Chapter 4. libata Library | Next

## Name

ata_do_set_mode — Program timings and issue SET FEATURES - XFER

## Synopsis

`int ata_do_set_mode (` | struct ata_link * | link,
| struct ata_device ** | r_failed_dev`)`;

## Arguments

`link`

  link on which timings will be programmed

`r_failed_dev`

  out paramter for failed device

## Description

Standard implementation of the function used to tune and set ATA device disk transfer mode (PIO3, UDMA6, etc.). If `ata_dev_set_mode` fails, pointer to the failing device is returned in `r_failed_dev`.

## LOCKING

PCI/etc. bus probe sem.

## RETURNS

0 on success, negative errno otherwise

Prev | Up | Next
sata_set_spd | Home | ata_busy_sleep